Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network45.26.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
Network address
45.26.0.0
Broadcast address
45.27.255.255
First usable
45.26.0.1
Last usable
45.27.255.254
Usable hosts
131,070 (131,072 less the network and broadcast addresses)
Subnet mask
255.254.0.0
Wildcard mask
0.1.255.255 (Cisco ACLs, OSPF)
Prefix length
/15
Type
Public public
Old class
A (default /8)
As numbers
Hex 2D1A0000 · Integer 756678656 to 756809727
Reverse DNS zones
26.45.in-addr.arpa
27.45.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00101101.00011010.00000000.0000000045.26.0.0
Subnet mask11111111.11111110.00000000.00000000255.254.0.0
Network00101101.00011010.00000000.0000000045.26.0.0
Broadcast00101101.00011011.11111111.1111111145.27.255.255
Split into smaller subnets/25

45.26.0.0/15 makes 1,024 subnets of /25; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
145.26.0.0/2545.26.0.1 to 45.26.0.12645.26.0.127126
245.26.0.128/2545.26.0.129 to 45.26.0.25445.26.0.255126
345.26.1.0/2545.26.1.1 to 45.26.1.12645.26.1.127126
445.26.1.128/2545.26.1.129 to 45.26.1.25445.26.1.255126
545.26.2.0/2545.26.2.1 to 45.26.2.12645.26.2.127126
645.26.2.128/2545.26.2.129 to 45.26.2.25445.26.2.255126
745.26.3.0/2545.26.3.1 to 45.26.3.12645.26.3.127126
845.26.3.128/2545.26.3.129 to 45.26.3.25445.26.3.255126
945.26.4.0/2545.26.4.1 to 45.26.4.12645.26.4.127126
1045.26.4.128/2545.26.4.129 to 45.26.4.25445.26.4.255126
1145.26.5.0/2545.26.5.1 to 45.26.5.12645.26.5.127126
1245.26.5.128/2545.26.5.129 to 45.26.5.25445.26.5.255126
1345.26.6.0/2545.26.6.1 to 45.26.6.12645.26.6.127126
1445.26.6.128/2545.26.6.129 to 45.26.6.25445.26.6.255126
1545.26.7.0/2545.26.7.1 to 45.26.7.12645.26.7.127126
1645.26.7.128/2545.26.7.129 to 45.26.7.25445.26.7.255126
1745.26.8.0/2545.26.8.1 to 45.26.8.12645.26.8.127126
1845.26.8.128/2545.26.8.129 to 45.26.8.25445.26.8.255126
1945.26.9.0/2545.26.9.1 to 45.26.9.12645.26.9.127126
2045.26.9.128/2545.26.9.129 to 45.26.9.25445.26.9.255126
2145.26.10.0/2545.26.10.1 to 45.26.10.12645.26.10.127126
2245.26.10.128/2545.26.10.129 to 45.26.10.25445.26.10.255126
2345.26.11.0/2545.26.11.1 to 45.26.11.12645.26.11.127126
2445.26.11.128/2545.26.11.129 to 45.26.11.25445.26.11.255126
2545.26.12.0/2545.26.12.1 to 45.26.12.12645.26.12.127126
2645.26.12.128/2545.26.12.129 to 45.26.12.25445.26.12.255126
2745.26.13.0/2545.26.13.1 to 45.26.13.12645.26.13.127126
2845.26.13.128/2545.26.13.129 to 45.26.13.25445.26.13.255126
2945.26.14.0/2545.26.14.1 to 45.26.14.12645.26.14.127126
3045.26.14.128/2545.26.14.129 to 45.26.14.25445.26.14.255126
3145.26.15.0/2545.26.15.1 to 45.26.15.12645.26.15.127126
3245.26.15.128/2545.26.15.129 to 45.26.15.25445.26.15.255126
3345.26.16.0/2545.26.16.1 to 45.26.16.12645.26.16.127126
3445.26.16.128/2545.26.16.129 to 45.26.16.25445.26.16.255126
3545.26.17.0/2545.26.17.1 to 45.26.17.12645.26.17.127126
3645.26.17.128/2545.26.17.129 to 45.26.17.25445.26.17.255126
3745.26.18.0/2545.26.18.1 to 45.26.18.12645.26.18.127126
3845.26.18.128/2545.26.18.129 to 45.26.18.25445.26.18.255126
3945.26.19.0/2545.26.19.1 to 45.26.19.12645.26.19.127126
4045.26.19.128/2545.26.19.129 to 45.26.19.25445.26.19.255126
4145.26.20.0/2545.26.20.1 to 45.26.20.12645.26.20.127126
4245.26.20.128/2545.26.20.129 to 45.26.20.25445.26.20.255126
4345.26.21.0/2545.26.21.1 to 45.26.21.12645.26.21.127126
4445.26.21.128/2545.26.21.129 to 45.26.21.25445.26.21.255126
4545.26.22.0/2545.26.22.1 to 45.26.22.12645.26.22.127126
4645.26.22.128/2545.26.22.129 to 45.26.22.25445.26.22.255126
4745.26.23.0/2545.26.23.1 to 45.26.23.12645.26.23.127126
4845.26.23.128/2545.26.23.129 to 45.26.23.25445.26.23.255126
4945.26.24.0/2545.26.24.1 to 45.26.24.12645.26.24.127126
5045.26.24.128/2545.26.24.129 to 45.26.24.25445.26.24.255126
5145.26.25.0/2545.26.25.1 to 45.26.25.12645.26.25.127126
5245.26.25.128/2545.26.25.129 to 45.26.25.25445.26.25.255126
5345.26.26.0/2545.26.26.1 to 45.26.26.12645.26.26.127126
5445.26.26.128/2545.26.26.129 to 45.26.26.25445.26.26.255126
5545.26.27.0/2545.26.27.1 to 45.26.27.12645.26.27.127126
5645.26.27.128/2545.26.27.129 to 45.26.27.25445.26.27.255126
5745.26.28.0/2545.26.28.1 to 45.26.28.12645.26.28.127126
5845.26.28.128/2545.26.28.129 to 45.26.28.25445.26.28.255126
5945.26.29.0/2545.26.29.1 to 45.26.29.12645.26.29.127126
6045.26.29.128/2545.26.29.129 to 45.26.29.25445.26.29.255126
6145.26.30.0/2545.26.30.1 to 45.26.30.12645.26.30.127126
6245.26.30.128/2545.26.30.129 to 45.26.30.25445.26.30.255126
6345.26.31.0/2545.26.31.1 to 45.26.31.12645.26.31.127126
6445.26.31.128/2545.26.31.129 to 45.26.31.25445.26.31.255126
6545.26.32.0/2545.26.32.1 to 45.26.32.12645.26.32.127126
6645.26.32.128/2545.26.32.129 to 45.26.32.25445.26.32.255126
6745.26.33.0/2545.26.33.1 to 45.26.33.12645.26.33.127126
6845.26.33.128/2545.26.33.129 to 45.26.33.25445.26.33.255126
6945.26.34.0/2545.26.34.1 to 45.26.34.12645.26.34.127126
7045.26.34.128/2545.26.34.129 to 45.26.34.25445.26.34.255126
7145.26.35.0/2545.26.35.1 to 45.26.35.12645.26.35.127126
7245.26.35.128/2545.26.35.129 to 45.26.35.25445.26.35.255126
7345.26.36.0/2545.26.36.1 to 45.26.36.12645.26.36.127126
7445.26.36.128/2545.26.36.129 to 45.26.36.25445.26.36.255126
7545.26.37.0/2545.26.37.1 to 45.26.37.12645.26.37.127126
7645.26.37.128/2545.26.37.129 to 45.26.37.25445.26.37.255126
7745.26.38.0/2545.26.38.1 to 45.26.38.12645.26.38.127126
7845.26.38.128/2545.26.38.129 to 45.26.38.25445.26.38.255126
7945.26.39.0/2545.26.39.1 to 45.26.39.12645.26.39.127126
8045.26.39.128/2545.26.39.129 to 45.26.39.25445.26.39.255126
8145.26.40.0/2545.26.40.1 to 45.26.40.12645.26.40.127126
8245.26.40.128/2545.26.40.129 to 45.26.40.25445.26.40.255126
8345.26.41.0/2545.26.41.1 to 45.26.41.12645.26.41.127126
8445.26.41.128/2545.26.41.129 to 45.26.41.25445.26.41.255126
8545.26.42.0/2545.26.42.1 to 45.26.42.12645.26.42.127126
8645.26.42.128/2545.26.42.129 to 45.26.42.25445.26.42.255126
8745.26.43.0/2545.26.43.1 to 45.26.43.12645.26.43.127126
8845.26.43.128/2545.26.43.129 to 45.26.43.25445.26.43.255126
8945.26.44.0/2545.26.44.1 to 45.26.44.12645.26.44.127126
9045.26.44.128/2545.26.44.129 to 45.26.44.25445.26.44.255126
9145.26.45.0/2545.26.45.1 to 45.26.45.12645.26.45.127126
9245.26.45.128/2545.26.45.129 to 45.26.45.25445.26.45.255126
9345.26.46.0/2545.26.46.1 to 45.26.46.12645.26.46.127126
9445.26.46.128/2545.26.46.129 to 45.26.46.25445.26.46.255126
9545.26.47.0/2545.26.47.1 to 45.26.47.12645.26.47.127126
9645.26.47.128/2545.26.47.129 to 45.26.47.25445.26.47.255126
9745.26.48.0/2545.26.48.1 to 45.26.48.12645.26.48.127126
9845.26.48.128/2545.26.48.129 to 45.26.48.25445.26.48.255126
9945.26.49.0/2545.26.49.1 to 45.26.49.12645.26.49.127126
10045.26.49.128/2545.26.49.129 to 45.26.49.25445.26.49.255126
10145.26.50.0/2545.26.50.1 to 45.26.50.12645.26.50.127126
10245.26.50.128/2545.26.50.129 to 45.26.50.25445.26.50.255126
10345.26.51.0/2545.26.51.1 to 45.26.51.12645.26.51.127126
10445.26.51.128/2545.26.51.129 to 45.26.51.25445.26.51.255126
10545.26.52.0/2545.26.52.1 to 45.26.52.12645.26.52.127126
10645.26.52.128/2545.26.52.129 to 45.26.52.25445.26.52.255126
10745.26.53.0/2545.26.53.1 to 45.26.53.12645.26.53.127126
10845.26.53.128/2545.26.53.129 to 45.26.53.25445.26.53.255126
10945.26.54.0/2545.26.54.1 to 45.26.54.12645.26.54.127126
11045.26.54.128/2545.26.54.129 to 45.26.54.25445.26.54.255126
11145.26.55.0/2545.26.55.1 to 45.26.55.12645.26.55.127126
11245.26.55.128/2545.26.55.129 to 45.26.55.25445.26.55.255126
11345.26.56.0/2545.26.56.1 to 45.26.56.12645.26.56.127126
11445.26.56.128/2545.26.56.129 to 45.26.56.25445.26.56.255126
11545.26.57.0/2545.26.57.1 to 45.26.57.12645.26.57.127126
11645.26.57.128/2545.26.57.129 to 45.26.57.25445.26.57.255126
11745.26.58.0/2545.26.58.1 to 45.26.58.12645.26.58.127126
11845.26.58.128/2545.26.58.129 to 45.26.58.25445.26.58.255126
11945.26.59.0/2545.26.59.1 to 45.26.59.12645.26.59.127126
12045.26.59.128/2545.26.59.129 to 45.26.59.25445.26.59.255126
12145.26.60.0/2545.26.60.1 to 45.26.60.12645.26.60.127126
12245.26.60.128/2545.26.60.129 to 45.26.60.25445.26.60.255126
12345.26.61.0/2545.26.61.1 to 45.26.61.12645.26.61.127126
12445.26.61.128/2545.26.61.129 to 45.26.61.25445.26.61.255126
12545.26.62.0/2545.26.62.1 to 45.26.62.12645.26.62.127126
12645.26.62.128/2545.26.62.129 to 45.26.62.25445.26.62.255126
12745.26.63.0/2545.26.63.1 to 45.26.63.12645.26.63.127126
12845.26.63.128/2545.26.63.129 to 45.26.63.25445.26.63.255126
12945.26.64.0/2545.26.64.1 to 45.26.64.12645.26.64.127126
13045.26.64.128/2545.26.64.129 to 45.26.64.25445.26.64.255126
13145.26.65.0/2545.26.65.1 to 45.26.65.12645.26.65.127126
13245.26.65.128/2545.26.65.129 to 45.26.65.25445.26.65.255126
13345.26.66.0/2545.26.66.1 to 45.26.66.12645.26.66.127126
13445.26.66.128/2545.26.66.129 to 45.26.66.25445.26.66.255126
13545.26.67.0/2545.26.67.1 to 45.26.67.12645.26.67.127126
13645.26.67.128/2545.26.67.129 to 45.26.67.25445.26.67.255126
13745.26.68.0/2545.26.68.1 to 45.26.68.12645.26.68.127126
13845.26.68.128/2545.26.68.129 to 45.26.68.25445.26.68.255126
13945.26.69.0/2545.26.69.1 to 45.26.69.12645.26.69.127126
14045.26.69.128/2545.26.69.129 to 45.26.69.25445.26.69.255126
14145.26.70.0/2545.26.70.1 to 45.26.70.12645.26.70.127126
14245.26.70.128/2545.26.70.129 to 45.26.70.25445.26.70.255126
14345.26.71.0/2545.26.71.1 to 45.26.71.12645.26.71.127126
14445.26.71.128/2545.26.71.129 to 45.26.71.25445.26.71.255126
14545.26.72.0/2545.26.72.1 to 45.26.72.12645.26.72.127126
14645.26.72.128/2545.26.72.129 to 45.26.72.25445.26.72.255126
14745.26.73.0/2545.26.73.1 to 45.26.73.12645.26.73.127126
14845.26.73.128/2545.26.73.129 to 45.26.73.25445.26.73.255126
14945.26.74.0/2545.26.74.1 to 45.26.74.12645.26.74.127126
15045.26.74.128/2545.26.74.129 to 45.26.74.25445.26.74.255126
15145.26.75.0/2545.26.75.1 to 45.26.75.12645.26.75.127126
15245.26.75.128/2545.26.75.129 to 45.26.75.25445.26.75.255126
15345.26.76.0/2545.26.76.1 to 45.26.76.12645.26.76.127126
15445.26.76.128/2545.26.76.129 to 45.26.76.25445.26.76.255126
15545.26.77.0/2545.26.77.1 to 45.26.77.12645.26.77.127126
15645.26.77.128/2545.26.77.129 to 45.26.77.25445.26.77.255126
15745.26.78.0/2545.26.78.1 to 45.26.78.12645.26.78.127126
15845.26.78.128/2545.26.78.129 to 45.26.78.25445.26.78.255126
15945.26.79.0/2545.26.79.1 to 45.26.79.12645.26.79.127126
16045.26.79.128/2545.26.79.129 to 45.26.79.25445.26.79.255126
16145.26.80.0/2545.26.80.1 to 45.26.80.12645.26.80.127126
16245.26.80.128/2545.26.80.129 to 45.26.80.25445.26.80.255126
16345.26.81.0/2545.26.81.1 to 45.26.81.12645.26.81.127126
16445.26.81.128/2545.26.81.129 to 45.26.81.25445.26.81.255126
16545.26.82.0/2545.26.82.1 to 45.26.82.12645.26.82.127126
16645.26.82.128/2545.26.82.129 to 45.26.82.25445.26.82.255126
16745.26.83.0/2545.26.83.1 to 45.26.83.12645.26.83.127126
16845.26.83.128/2545.26.83.129 to 45.26.83.25445.26.83.255126
16945.26.84.0/2545.26.84.1 to 45.26.84.12645.26.84.127126
17045.26.84.128/2545.26.84.129 to 45.26.84.25445.26.84.255126
17145.26.85.0/2545.26.85.1 to 45.26.85.12645.26.85.127126
17245.26.85.128/2545.26.85.129 to 45.26.85.25445.26.85.255126
17345.26.86.0/2545.26.86.1 to 45.26.86.12645.26.86.127126
17445.26.86.128/2545.26.86.129 to 45.26.86.25445.26.86.255126
17545.26.87.0/2545.26.87.1 to 45.26.87.12645.26.87.127126
17645.26.87.128/2545.26.87.129 to 45.26.87.25445.26.87.255126
17745.26.88.0/2545.26.88.1 to 45.26.88.12645.26.88.127126
17845.26.88.128/2545.26.88.129 to 45.26.88.25445.26.88.255126
17945.26.89.0/2545.26.89.1 to 45.26.89.12645.26.89.127126
18045.26.89.128/2545.26.89.129 to 45.26.89.25445.26.89.255126
18145.26.90.0/2545.26.90.1 to 45.26.90.12645.26.90.127126
18245.26.90.128/2545.26.90.129 to 45.26.90.25445.26.90.255126
18345.26.91.0/2545.26.91.1 to 45.26.91.12645.26.91.127126
18445.26.91.128/2545.26.91.129 to 45.26.91.25445.26.91.255126
18545.26.92.0/2545.26.92.1 to 45.26.92.12645.26.92.127126
18645.26.92.128/2545.26.92.129 to 45.26.92.25445.26.92.255126
18745.26.93.0/2545.26.93.1 to 45.26.93.12645.26.93.127126
18845.26.93.128/2545.26.93.129 to 45.26.93.25445.26.93.255126
18945.26.94.0/2545.26.94.1 to 45.26.94.12645.26.94.127126
19045.26.94.128/2545.26.94.129 to 45.26.94.25445.26.94.255126
19145.26.95.0/2545.26.95.1 to 45.26.95.12645.26.95.127126
19245.26.95.128/2545.26.95.129 to 45.26.95.25445.26.95.255126
19345.26.96.0/2545.26.96.1 to 45.26.96.12645.26.96.127126
19445.26.96.128/2545.26.96.129 to 45.26.96.25445.26.96.255126
19545.26.97.0/2545.26.97.1 to 45.26.97.12645.26.97.127126
19645.26.97.128/2545.26.97.129 to 45.26.97.25445.26.97.255126
19745.26.98.0/2545.26.98.1 to 45.26.98.12645.26.98.127126
19845.26.98.128/2545.26.98.129 to 45.26.98.25445.26.98.255126
19945.26.99.0/2545.26.99.1 to 45.26.99.12645.26.99.127126
20045.26.99.128/2545.26.99.129 to 45.26.99.25445.26.99.255126
20145.26.100.0/2545.26.100.1 to 45.26.100.12645.26.100.127126
20245.26.100.128/2545.26.100.129 to 45.26.100.25445.26.100.255126
20345.26.101.0/2545.26.101.1 to 45.26.101.12645.26.101.127126
20445.26.101.128/2545.26.101.129 to 45.26.101.25445.26.101.255126
20545.26.102.0/2545.26.102.1 to 45.26.102.12645.26.102.127126
20645.26.102.128/2545.26.102.129 to 45.26.102.25445.26.102.255126
20745.26.103.0/2545.26.103.1 to 45.26.103.12645.26.103.127126
20845.26.103.128/2545.26.103.129 to 45.26.103.25445.26.103.255126
20945.26.104.0/2545.26.104.1 to 45.26.104.12645.26.104.127126
21045.26.104.128/2545.26.104.129 to 45.26.104.25445.26.104.255126
21145.26.105.0/2545.26.105.1 to 45.26.105.12645.26.105.127126
21245.26.105.128/2545.26.105.129 to 45.26.105.25445.26.105.255126
21345.26.106.0/2545.26.106.1 to 45.26.106.12645.26.106.127126
21445.26.106.128/2545.26.106.129 to 45.26.106.25445.26.106.255126
21545.26.107.0/2545.26.107.1 to 45.26.107.12645.26.107.127126
21645.26.107.128/2545.26.107.129 to 45.26.107.25445.26.107.255126
21745.26.108.0/2545.26.108.1 to 45.26.108.12645.26.108.127126
21845.26.108.128/2545.26.108.129 to 45.26.108.25445.26.108.255126
21945.26.109.0/2545.26.109.1 to 45.26.109.12645.26.109.127126
22045.26.109.128/2545.26.109.129 to 45.26.109.25445.26.109.255126
22145.26.110.0/2545.26.110.1 to 45.26.110.12645.26.110.127126
22245.26.110.128/2545.26.110.129 to 45.26.110.25445.26.110.255126
22345.26.111.0/2545.26.111.1 to 45.26.111.12645.26.111.127126
22445.26.111.128/2545.26.111.129 to 45.26.111.25445.26.111.255126
22545.26.112.0/2545.26.112.1 to 45.26.112.12645.26.112.127126
22645.26.112.128/2545.26.112.129 to 45.26.112.25445.26.112.255126
22745.26.113.0/2545.26.113.1 to 45.26.113.12645.26.113.127126
22845.26.113.128/2545.26.113.129 to 45.26.113.25445.26.113.255126
22945.26.114.0/2545.26.114.1 to 45.26.114.12645.26.114.127126
23045.26.114.128/2545.26.114.129 to 45.26.114.25445.26.114.255126
23145.26.115.0/2545.26.115.1 to 45.26.115.12645.26.115.127126
23245.26.115.128/2545.26.115.129 to 45.26.115.25445.26.115.255126
23345.26.116.0/2545.26.116.1 to 45.26.116.12645.26.116.127126
23445.26.116.128/2545.26.116.129 to 45.26.116.25445.26.116.255126
23545.26.117.0/2545.26.117.1 to 45.26.117.12645.26.117.127126
23645.26.117.128/2545.26.117.129 to 45.26.117.25445.26.117.255126
23745.26.118.0/2545.26.118.1 to 45.26.118.12645.26.118.127126
23845.26.118.128/2545.26.118.129 to 45.26.118.25445.26.118.255126
23945.26.119.0/2545.26.119.1 to 45.26.119.12645.26.119.127126
24045.26.119.128/2545.26.119.129 to 45.26.119.25445.26.119.255126
24145.26.120.0/2545.26.120.1 to 45.26.120.12645.26.120.127126
24245.26.120.128/2545.26.120.129 to 45.26.120.25445.26.120.255126
24345.26.121.0/2545.26.121.1 to 45.26.121.12645.26.121.127126
24445.26.121.128/2545.26.121.129 to 45.26.121.25445.26.121.255126
24545.26.122.0/2545.26.122.1 to 45.26.122.12645.26.122.127126
24645.26.122.128/2545.26.122.129 to 45.26.122.25445.26.122.255126
24745.26.123.0/2545.26.123.1 to 45.26.123.12645.26.123.127126
24845.26.123.128/2545.26.123.129 to 45.26.123.25445.26.123.255126
24945.26.124.0/2545.26.124.1 to 45.26.124.12645.26.124.127126
25045.26.124.128/2545.26.124.129 to 45.26.124.25445.26.124.255126
25145.26.125.0/2545.26.125.1 to 45.26.125.12645.26.125.127126
25245.26.125.128/2545.26.125.129 to 45.26.125.25445.26.125.255126
25345.26.126.0/2545.26.126.1 to 45.26.126.12645.26.126.127126
25445.26.126.128/2545.26.126.129 to 45.26.126.25445.26.126.255126
25545.26.127.0/2545.26.127.1 to 45.26.127.12645.26.127.127126
25645.26.127.128/2545.26.127.129 to 45.26.127.25445.26.127.255126

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses